Bug 372441

Summary: Konsole Desktop file missing StartupWMClass
Product: konsole Reporter: Davide Olianas <noob>
Component: generalAssignee: David Hallas <david>
Status: RESOLVED FIXED    
Severity: normal CC: anikethgireesh, david, mail, nate, phegoruthi, rdieter, simonandric5
Priority: NOR Keywords: junior-jobs, triaged
Version: 18.08.2   
Target Milestone: ---   
Platform: Neon Packages   
OS: Linux   
Latest Commit: Version Fixed In: 18.12

Description Davide Olianas 2016-11-13 18:53:28 UTC
This bug is the same as https://bugs.kde.org/show_bug.cgi?id=350793 but for the konsole package.

The .desktop file misses "StartupWMClass=konsole" which fixes bad behaviour with gnome dash (see https://bugzilla.gnome.org/show_bug.cgi?id=774353).
Comment 1 Aniketh 2016-11-14 03:58:32 UTC
I would like to fix this bug. There are different desktop file in konsole package. They are: 

1.konsolehere.desktop  
2.konsolepart.desktop 
3.konsolerun.desktop 
4.terminalemulator.desktop
5.org.kde.konsole.desktop

Where should add the class? I guess it should be added in the 5th. Anyone can see to it, so that I can do the fix.
Comment 2 Fran 2016-11-14 08:48:18 UTC
To group apps in gtk I use the "name" parameter and a link to the desired class name, like here:

https://bugs.kde.org/show_bug.cgi?id=372441
Comment 3 Fran 2016-11-14 08:49:39 UTC
Sorry... here...:
https://bugs.kde.org/show_bug.cgi?id=372003

(In reply to Fran from comment #2)
> To group apps in gtk I use the "name" parameter and a link to the desired
> class name, like here:
> 
> https://bugs.kde.org/show_bug.cgi?id=372441
Comment 4 Fran 2016-11-14 09:24:18 UTC
You can overwrite the .desktop file by creating your own in ~/.local/share/applications/ and include StartupWMClass and other options, but it will not work on 15.X kde applications.

(In reply to Aniketh from comment #1)
> I would like to fix this bug. There are different desktop file in konsole
> package. They are: 
> 
> 1.konsolehere.desktop  
> 2.konsolepart.desktop 
> 3.konsolerun.desktop 
> 4.terminalemulator.desktop
> 5.org.kde.konsole.desktop
> 
> Where should add the class? I guess it should be added in the 5th. Anyone
> can see to it, so that I can do the fix.
Comment 5 Aniketh 2016-11-14 12:12:57 UTC
(In reply to Fran from comment #4)
> You can overwrite the .desktop file by creating your own in
> ~/.local/share/applications/ and include StartupWMClass and other options,
> but it will not work on 15.X kde applications.
> 
> (In reply to Aniketh from comment #1)
> > I would like to fix this bug. There are different desktop file in konsole
> > package. They are: 
> > 
> > 1.konsolehere.desktop  
> > 2.konsolepart.desktop 
> > 3.konsolerun.desktop 
> > 4.terminalemulator.desktop
> > 5.org.kde.konsole.desktop
> > 
> > Where should add the class? I guess it should be added in the 5th. Anyone
> > can see to it, so that I can do the fix.

I think editing the file which exists is better than adding a new file. 
I hope if I'm editing the existing file then I should be editing org.kde.konsole.desktop . If not please mention it so that I could work on it. And submit the patch as soon as possible.
Comment 6 Davide Olianas 2016-11-14 14:15:52 UTC
I edited manually /usr/share/applications/org.kde.konsole.desktop and it fixes the problem.
Comment 7 Aniketh 2016-11-14 14:43:36 UTC
https://git.reviewboard.kde.org/r/129402/

Committed a patch on this. Make sure it is fine. If, yes please do verify and merge.
Comment 8 Kurt Hindenburg 2016-11-19 15:50:25 UTC
Thanks, I don't see any difference under Plasma - I'll check under gnome

WM_CLASS(STRING) = "konsole", "konsole"
Comment 9 Aniketh 2016-11-19 15:58:19 UTC
If its good to go. Then merge it in behave of me. Thanks in advance :)
Comment 10 Julian Steinmann 2018-10-30 19:01:43 UTC
This line is still missing with Konsole 18.08.2. Looks like a good first patch to me if someone wants to submit the old patch from reviewboard to Phabricator.
Comment 11 David Hallas 2018-10-31 14:51:09 UTC
Posted https://phabricator.kde.org/D16546
Comment 12 Kurt Hindenburg 2018-11-11 15:29:45 UTC
Git commit 1506ecdfd0f91d4b8b39c01bad1fe301193d6e82 by Kurt Hindenburg, on behalf of David Hallas.
Committed on 11/11/2018 at 15:29.
Pushed by hindenburg into branch 'master'.

Add StartupWMClass to .desktop file

The org.kde.konsole.desktop file is missing a StartupWMClass setting.
FIXED-IN: 18.12

Differential Revision: https://phabricator.kde.org/D16546

M  +1    -0    desktop/org.kde.konsole.desktop

https://commits.kde.org/konsole/1506ecdfd0f91d4b8b39c01bad1fe301193d6e82
Comment 13 Kurt Hindenburg 2018-11-11 15:42:58 UTC
Git commit 930594bf9446568280b04992d7db67aba4701e63 by Kurt Hindenburg, on behalf of David Hallas.
Committed on 11/11/2018 at 15:42.
Pushed by hindenburg into branch 'Applications/18.12'.

Add StartupWMClass to .desktop file

The org.kde.konsole.desktop file is missing a StartupWMClass setting.
FIXED-IN: 18.12

Differential Revision: https://phabricator.kde.org/D16546

(cherry picked from commit 1506ecdfd0f91d4b8b39c01bad1fe301193d6e82)

M  +1    -0    desktop/org.kde.konsole.desktop

https://commits.kde.org/konsole/930594bf9446568280b04992d7db67aba4701e63